<?php

/* ===========================================================
*  === [ Название ] >> Seasons =============================== 
*  === [ Автор ] 		>> LisER ================================= 
*  === [ Skype ] 		>> LisER07 =============================== 
*  =========================================================*/

@error_reporting ( E_ALL ^ E_WARNING ^ E_NOTICE );
@ini_set ( 'display_errors', true );
@ini_set ( 'html_errors', false );
@ini_set ( 'error_reporting', E_ALL ^ E_WARNING ^ E_NOTICE );

define ( 'DATALIFEENGINE', true );
define ( "ROOT_DIR", str_replace ( "\engine\mod_liser\seasons\admin", "", dirname( __FILE__ ) ) );
define ( 'ENGINE_DIR', ROOT_DIR . '/engine' );
define ( 'LISER_DIR', ENGINE_DIR . "/mod_liser" );
define ( 'SEASON_ADMIN_DIR', LISER_DIR . "/seasons/admin" );

header('Content-Type: text/html; charset=utf8');

require_once ENGINE_DIR . '/inc/include/init.php';
include_once ENGINE_DIR . '/data/config.php';
require_once ENGINE_DIR . '/classes/mysql.php';
require_once ENGINE_DIR . '/data/dbconfig.php';
require_once SEASON_ADMIN_DIR . '/data.php';

if ( $is_loged_in && $member_id['user_group'] == 1 ):

	$status = ($seasonsConfig['onOff']) ? '<span style="color:yellowgreen">Включен</span>' : '<span style="color:red">Выключен</span>';
	$php = phpversion ();
	$DLE = ( (int) str_replace ( ".", "", $config['version_id'] ) >= 104 ) ? '<span style="color:yellowgreen">'. $config['version_id'] .'</span>' : '<span style="color:red">'. $config['version_id'] .'</span>';

	$fields = array(
		'dop_fields' => array(
			'-' => '----',
		),
		'kinopoisk' => array(
			'-' => '----',
		),
		'sort_xfield' => array(
			'-' => '----',
		),
	);
	
	$xfields = xfieldsload();
	if ($xfields) foreach ($xfields as $key => $value) {
		$fields['dop_fields']["{$value[0]}"] = " {$value[1]} ";
		$fields['kinopoisk']["{$value[0]}"] = " {$value[1]} ";
		$fields['sort_xfield']["{$value[0]}"] = " {$value[1]} ";
	}

	function showRow($title = "", $description = "", $field = "", $class = "") {
		echo "<tr>
	       <td class=\"{$class}\">{$title}<br/><small>{$description}</small></td>
	       <td class=\"{$class}\">{$field}</td>
	       </tr>";
	}
		
	function makeDropDown($options, $name, $selected) {
		$output = "<select class=\"chosen-select uniform\" style=\"min-width:100px;\" name=\"$name\">\r\n";
		foreach ( $options as $value => $description ) {
			$output .= "<option value=\"$value\"";
			if( $selected == $value ) {
				$output .= " selected ";
			}
			$output .= ">$description</option>\n";
		}
		$output .= "</select>";
		return $output;
	}

	function makeCheckBox($name, $selected) {
		$selected = $selected ? "checked" : "";		               
		return "<input class=\"checkbox\" type=\"checkbox\" name=\"$name\" id=\"$name\" {$selected}> <label for=\"$name\" class=\"labelcheckbox\"><span></span></label>";
	}

?>

<!DOCTYPE html>
<html lang="ru">
<head>
	<meta charset="UTF-8">
	<title>Настройки модуля SeaSonS - LisER</title>
	<link rel="stylesheet" href="/engine/mod_liser/seasons/admin/asset/css/style.css">
	<link rel="stylesheet" href="http://fontawesome.io/assets/font-awesome/css/font-awesome.css">
	<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Ubuntu" >
</head>
<body>
<div class="head"></div>
	<div class="container">	
		<!-- \=== { HEADER } ===\ -->
		<header class="header">				
			<ul>
				<li class="header_title"><i class="fa fa-scribd" aria-hidden="true"></i> Seasons</li>
				<li onclick="tabs('id_1')"><button class="google"><span><i class="fa fa-home" aria-hidden="true"></i></span>Главная</button></li>
				<li onclick="tabs('id_2')"><button class="google"><span><i class="fa fa-cog" aria-hidden="true"></i></span>Общие</button></li>
			</ul>
		</header>
		<!-- /=== { HEADER } ===/ -->

	<main>		
		<form id="myshows_save" name="myshows_save" action="">
			<div class="left">
			   <!--Первая Вкладка-->
			   <section id="id_1">
			      <div class="box-header">
			         <div class="title">Информация о модуле</div>
			      </div>
			      <div class="box-content">
			         <div class="author">			           
			            <div class="info">
			               <ul>
			                  <li>Автор: <span>LisER</span></li>
			                  <li>Skype: <span>liser07</span></li>
			                  <li>Telegram: <span>@LisER07</span></li>
			                  <li>E-mail: <span>osimi98@yandex.ru</span></li>
			               </ul>
			            </div>
			         </div>
			         <div class="author">			           
			            <div class="info">
			               <ul>
				               	<li>Режим работы модуля: <? echo $status; ?></li>
												<li>Версия: <span>1.0</span></li>
												<li>Версия DLE: <span><? echo $DLE; ?></span></li>
												<li>Версия PHP: <span><? echo $php; ?></span></li>
			               </ul>
			            </div>
			         </div>
			      </div>
			   </section>
			   <!--Вторая Вкладка-->
			   <section id="id_2" style="display:none;">
			   		<div class="box-header">
			         <div class="title">Общие настройки модуля</div>
			      </div>
			      <table align="center">
				      <?
								showRow( "Включить модуль?", "Включение и выключение модуля", makeCheckBox( "save_con[onOff]", "{$seasonsConfig['onOff']}" ) );
								showRow( 'Откуда брать ID KinoPoisk', 'Выберите, откуда модулю брать ID кинопоиска', makeDropDown( ( $fields['kinopoisk'] ), "save_con[kinopoisk]", "{$seasonsConfig['kinopoisk']}" ) );
								showRow( 'Отсортировать по:', "Выберите порядок сортировки серий", makeDropDown( array ( "" => "----", "date" => "Дата добавления", "xfield" => "Доп.поле" ), "save_con[sort]","{$seasonsConfig['sort']}" ));
								showRow( 'Доп.поле для сортировки:', "Выберите доп.поле, по которой хотите отсортировать сезоны", makeDropDown( $fields['sort_xfield'], "save_con[sort_xfield]","{$seasonsConfig['sort_xfield']}" ));
								showRow( 'Порядок сортировки сезонов:', "Выберите порядок сортировки сезонов", makeDropDown( array ( "DESC" => 'по убыванию', "ASC" => 'по возрастанию' ), "save_con[sort_seasons]", "{$seasonsConfig['sort_seasons']}" ) );
								showRow( 'Откуда брать модулю, допольнительный ID KinoPoisk', 'Выберите, откуда модулю брать допольнительный ID KinoPoisk', makeDropDown( ( $fields['dop_fields'] ), "save_con[dop_fields]", "{$seasonsConfig['dop_fields']}" ) );
								showRow( "Шаблон тега {seria:title}", "Заголовок - {TITLE} <br /> Значение доп.поле для сортировки - {XFIELDSORT} <br/> Последовательность  {I}", "<input class=\"input form-control-left\" type=\"text\" style=\"text-align: center;\" name=\"save_con[title]\" value=\"{$seasonsConfig['title']}\" placeholder=\"{I} сезон\">", "white-line" );
								showRow( "Максимальное количество сезонов", "Если хотите, чтобы выводились все запросы, оставьте поле пустым или 0", "<input class=\"input form-control-left\" type=\"text\" style=\"text-align: center;\" name=\"save_con[limit]\" value=\"{$seasonsConfig['limit']}\" placeholder=\"10\">", "white-line" );
				      ?>
			      </table>
			   </section>

			</div>
		</form>
		</main>
		 <input type="submit" class="google" onclick="save(); return false;" style="padding:0.5em 1em!important; float: right; margin: 10px;" value="Сохранить">
			<span style="display: none; margin-top: 17px; float: right;color: yellowgreen" id="savedatainfo">Данные сохранены</span>

	</div>
	<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js" ></script>
	<script>		var SEASON_ADMIN_DIR = "/engine/mod_liser/seasons/admin"; 	</script>
	<script type="text/javascript" src="/engine/mod_liser/seasons/admin/asset/js/script.js" ></script>
</body>
</html>
<? else: ?>

<!DOCTYPE html>
<html lang="ru">
<head>
	<meta charset="UTF-8">
	<title>Настройки модуля MyShows</title>
	<link rel="stylesheet" href="/engine/mod_liser/seasons/admin/asset/css/style.css">
	<link rel="stylesheet" href="http://fontawesome.io/assets/font-awesome/css/font-awesome.css">
	<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Ubuntu" >
</head>
<body>
<div class="head"></div>
	<div class="container noauth">	

		<main class="main">		
			нет доступа
		</main>
	
	</div>
	<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js" ></script>
	<script>		var SEASON_ADMIN_DIR = "/engine/mod_liser/seasons/admin"; 	</script>
	<script type="text/javascript" src="/engine/mod_liser/seasons/admin/asset/js/script.js" ></script>
</body>
</html>

<? endif; ?>